summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorMattia Rizzolo <mattia@mapreri.org>2015-02-16 00:49:34 +0100
committerMattia Rizzolo <mattia@mapreri.org>2015-02-16 00:49:34 +0100
commit3a6130a9813d8f11bcccba5b646ee19d9b63619f (patch)
treeb3c495be7e3fe3ff3ca82d7d63a52f44b7a9977f /bin
parente9b62d98d8ee3c5eb6a3424ca22e62a510ea1d82 (diff)
downloadjenkins.debian.net-3a6130a9813d8f11bcccba5b646ee19d9b63619f.tar.xz
reproducible: notify the IRC chan when a package successfully buit reproducibly in the past becomes unreproducible
Diffstat (limited to 'bin')
-rwxr-xr-xbin/reproducible_build.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index e291e2f5..9022f560 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -95,6 +95,11 @@ call_debbindiff() {
else
echo "." | tee -a ${RBUILDLOG}
fi
+ OLD_STATUS=$(sqlite3 -init $INIT ${PACKAGES_DB} "SELECT status FROM source_packages WHERE name=\"${SRCPACKAGE}\"")
+ if [ "${OLD_STATUS}" == "reproducible" ]; then
+ MESSAGE="${SRCPACKAGE} becomes unreproducible. It was successfully built reproducibly built in the past. Plese investigate ${REPRODUCIBLE_URL}/${SRCPACKAGE}"
+ kgb-client --conf /srv/jenkins/kgb/debian-reproducible.conf --relay-msg "$MESSAGE" || true # don't fail the whole job
+ fi
sqlite3 -init $INIT ${PACKAGES_DB} "REPLACE INTO source_packages VALUES (\"${SRCPACKAGE}\", \"${VERSION}\", \"unreproducible\", \"$DATE\")"
unschedule_from_db
fi